<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
RenameEx Method (IEdmFile6)
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmFile6 Interface : RenameEx Method (IEdmFile6)

Visual Basic
C#
C++/CLI

lParentWnd
  Parent window handle

bsNewName
  New file name

lFlags
  0; reserved

Changes the name of this file.

# Syntax

Visual Basic |
--- | ---

    Sub RenameEx( _
       ByVal lParentWnd As System.Integer, _
       ByVal bsNewName As System.String, _
       ByVal lFlags As System.Integer _
    )

C# |
--- | ---

    void RenameEx(
       System.int lParentWnd,
       System.string bsNewName,
       System.int lFlags
    )

C++/CLI |
--- | ---

    void RenameEx(
    &   System.int lParentWnd,
    &   System.String^ bsNewName,
    &   System.int lFlags
    )

#### Parameters

lParentWnd
  Parent window handle
bsNewName
  New file name
lFlags
  0; reserved

# Remarks

Return codes:

- S_OK: The method successfully executed.
- S_FALSE: An argument is invalid.

# See Also

####

IEdmFile6 Interface
IEdmFile6 Members

# Availability

SOLIDWORKS PDM Professional Version 6.0